source("https://bioconductor.org/biocLite.R")
install.packages("Rcpp")
library("DADA2")
biocLite(suppressUpdates = FALSE)
install.packages("ShortRead")
library(ShortRead)
library(ggplot2);
library(dada2); packageVersion("dada2")
source("http://bioconductor.org/biocLite.R")
biocLite("devtools")
library("devtools")
devtools::install_github("benjjneb/dada2")
library("DADA2")
path<- "/Users/gjospin/Documents/Corn_16s_Tania/DADA2/bbduk_files"
fns <- list.files(path)
fns
fastqs <- fns[grepl(".trim$", fns)]
fnFs <- fastqs[grepl(".trim", fastqs)]
fnsFs
fnFs
sample.names <- sapply(strsplit(fnFs, ".trim"), `[`, 1)
fnFs <- file.path(path, fnFs)
plotQualityProfile(fnFs[[2]])
filt_path <- file.path(path, "filtered")
filtFs <- file.path(filt_path, paste0(sample.names, "_filt.fastq.gz"))
for(i in seq_along(fnFs)) { fastqFilter(fnFs[i],filtFs[i], truncLen=100, maxN=0, maxEE=2, truncQ=2 , rm.phix=TRUE, compress=TRUE, verbose=TRUE)
}
derepFs <- derepFastq(filtFs, verbose=TRUE)
names(derepFs) <- sample.names
dadaFs.lrn <- dada(derepFs, err=NULL, selfConsist = TRUE, multithread=TRUE)
errF <- dadaFs.lrn[[1]]$err_out
dadaFs <- dada(derepFs, err=errF, multithread=TRUE)
dadaFs
seqtab <- makeSequenceTable(dadaFs)
dim(seqtab)
table(nchar(getSequences(seqtab)))
seqtab.nochim <- removeBimeraDenovo(seqtab, verbose=TRUE)
dim(seqtab.nochim)
taxa <- assignTaxonomy(seqtab.nochim, "rdp_train_set_14.fa.gz")
unname(head(taxa))
library(phyloseq); packageVersion("phyloseq")
install.packages("phyloseq")
source('http://bioconductor.org/biocLite.R')
biocLite('phyloseq')
saveRDS(seqtab, "seqtab.rds") # CHANGE ME to where you want sequence table saved
library(vegan)
library(dplyr)
install.packages("dplyr")
library(scales)
library(grid)
library(reshape2)
library(phyloseq)
theme_set(theme_bw())
samples.out <- rownames(seqtab.nochim)
samples.out
mapfile="Corn16s_paper.header.fixed.txt"
mapfile="map_DADA.txt"
map <- read.table(mapfile, header=TRUE)
row.names(map)<- map[,1]
map
ps<-phyloseq(otu_table(seqtab.nochim, taxa_are_rows=FALSE), sample_data(map), tax_table(taxa))
ps
colnames(tax_table(ps))
ps
ps_filt<-ps %>%
subset_taxa(
Kingdom == "Bacteria" &
Family  != "mitochondria" &
Class   != "Chloroplast"
)
ps
ps_filt
sample_sum_df <- data.frame(sum = sample_sums(ps_filt))
smean<-mean(sample_sums(ps_filt))
smin<-min(sample_sums(ps_filt))
smax<-max(sample_sums(ps_filt))
smin
smean
smax
top20 <- names(sort(taxa_sums(ps_filt), decreasing=TRUE))[1:20]
ps.top20 <- transform_sample_counts(ps, function(OTU) OTU/sum(OTU))
ps.top20 <- prune_taxa(top20, ps.top20)
plot_bar(ps.top20, x="SampleType", fill="Family")
pdf("barplot_filtered.pdf")
plot_bar(ps.top20, x="SampleType", fill="Family")
dev.off()
ord.nmds.bray <- ordinate(ps_filt, method="NMDS", distance="bray")
pdf("Bray_orfination.pdf")
plot_ordination(ps_filt, ord.nmds.bray, color="SampleType", title="Bray NMDS")
dev.off()
pdf("Richness.pdf")
plot_richness(ps_filt, x="SampleType", measures=c("Shannon", "Simpson"), color="SampleType") + theme(axis.text.x = element_text(angle = 90, hjust = 1))
dev.off()
library("DESeq2"); packageVersion("DESeq2")
ps_filt
otu_table(ps_filt)
write.table(t(otu_table(ps_filt)), file="OTUlike_table.txt", sep="\t")
tax_table(ps_filt)
write.table(tax_table(ps_filt), file="taxa_names.txt", sep="\t")

wilcox.test(ord.nmds.bray$points[,1], ord.nmds.bray$points[,2])